import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:storebounty_auth/src/widget/styles/colors.dart';


class Styles{

static TextStyle h3({
    Color color = AppColors.black,
    FontWeight fontWeight = FontWeight.bold,
    double fontSize = 24,
    double height = 1.25,
    double letterSpacing = 0,
  }) {
    return GoogleFonts.poppins(
      fontWeight: fontWeight,
      fontSize: fontSize,
      height: height,
      color: color,
      letterSpacing: letterSpacing,
    );
  }
  static TextStyle p0({
    Color color = AppColors.black,
    FontWeight fontWeight = FontWeight.normal,
    double fontSize = 16,
    double height = 1.38,
    double letterSpacing = 0,
  }) {
    return GoogleFonts.inter(
      fontWeight: fontWeight,
      fontSize: fontSize,
      height: height,
      color: color,
      letterSpacing: letterSpacing,
    );
  }

  static TextStyle p3({
    Color color = AppColors.black,
    FontWeight fontWeight = FontWeight.normal,
    double fontSize = 12,
    double height = 1.3,
    double letterSpacing = 0,
  }) {
    return GoogleFonts.inter(
      fontWeight: fontWeight,
      fontSize: fontSize,
      height: height,
      color: color,
      letterSpacing: letterSpacing,
    );
  }

}